Name:          lib2geom
Version:       1.2.2
Release:       1mamba
Summary:       Easy to use 2D geometry library in C++
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gitlab.com/inkscape/lib2geom
Source:        https://gitlab.com/inkscape/lib2geom.git/%{version}/lib2geom-%{version}.tar.bz2
License:       LGPL, MPL 1.1
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcairo-devel
BuildRequires: libdouble-conversion-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgsl-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
Easy to use 2D geometry library in C++.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
sed -i "s|lib/pkgconfig|%{_lib}/pkgconfig|" CMakeLists.txt

%build
%cmake -d build \
   -D2GEOM_BUILD_SHARED=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/lib2geom.so.*
%doc COPYING-LGPL-2.1 COPYING-MPL-1.1

%files devel
%defattr(-,root,root)
%dir %{_includedir}/2geom-*
%dir %{_includedir}/2geom-*/2geom
%{_includedir}/2geom-*/2geom/*
%{_libdir}/lib2geom.so
%dir %{_libdir}/cmake/2Geom
%{_libdir}/cmake/2Geom/2Geom*.cmake
%{_libdir}/pkgconfig/2geom.pc
%doc README.md README.win32.md

%changelog
* Sat Dec 03 2022 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Wed Jul 20 2022 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic version update by autodist

* Tue May 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created using the webbuild interface
